Imported Upstream version 106
[platform/upstream/ecryptfs-utils.git] / tests / userspace / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18
19 VPATH = @srcdir@
20 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21 am__make_running_with_option = \
22   case $${target_option-} in \
23       ?) ;; \
24       *) echo "am__make_running_with_option: internal error: invalid" \
25               "target option '$${target_option-}' specified" >&2; \
26          exit 1;; \
27   esac; \
28   has_opt=no; \
29   sane_makeflags=$$MAKEFLAGS; \
30   if $(am__is_gnu_make); then \
31     sane_makeflags=$$MFLAGS; \
32   else \
33     case $$MAKEFLAGS in \
34       *\\[\ \   ]*) \
35         bs=\\; \
36         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
38     esac; \
39   fi; \
40   skip_next=no; \
41   strip_trailopt () \
42   { \
43     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44   }; \
45   for flg in $$sane_makeflags; do \
46     test $$skip_next = yes && { skip_next=no; continue; }; \
47     case $$flg in \
48       *=*|--*) continue;; \
49         -*I) strip_trailopt 'I'; skip_next=yes;; \
50       -*I?*) strip_trailopt 'I';; \
51         -*O) strip_trailopt 'O'; skip_next=yes;; \
52       -*O?*) strip_trailopt 'O';; \
53         -*l) strip_trailopt 'l'; skip_next=yes;; \
54       -*l?*) strip_trailopt 'l';; \
55       -[dEDm]) skip_next=yes;; \
56       -[JT]) skip_next=yes;; \
57     esac; \
58     case $$flg in \
59       *$$target_option*) has_opt=yes; break;; \
60     esac; \
61   done; \
62   test $$has_opt = yes
63 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65 pkgdatadir = $(datadir)/@PACKAGE@
66 pkgincludedir = $(includedir)/@PACKAGE@
67 pkglibdir = $(libdir)/@PACKAGE@
68 pkglibexecdir = $(libexecdir)/@PACKAGE@
69 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70 install_sh_DATA = $(install_sh) -c -m 644
71 install_sh_PROGRAM = $(install_sh) -c
72 install_sh_SCRIPT = $(install_sh) -c
73 INSTALL_HEADER = $(INSTALL_DATA)
74 transform = $(program_transform_name)
75 NORMAL_INSTALL = :
76 PRE_INSTALL = :
77 POST_INSTALL = :
78 NORMAL_UNINSTALL = :
79 PRE_UNINSTALL = :
80 POST_UNINSTALL = :
81 build_triplet = @build@
82 host_triplet = @host@
83 target_triplet = @target@
84 check_PROGRAMS = lfs/test$(EXEEXT) verify-passphrase-sig/test$(EXEEXT) \
85         wrap-unwrap/test$(EXEEXT) \
86         v1-to-v2-wrapped-passphrase/test$(EXEEXT)
87 subdir = tests/userspace
88 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
89         $(dist_check_SCRIPTS) $(dist_noinst_SCRIPTS) \
90         $(top_srcdir)/depcomp $(dist_noinst_DATA) \
91         $(top_srcdir)/test-driver
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_pkg_swig.m4 \
94         $(top_srcdir)/m4/ac_python_devel.m4 \
95         $(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/libtool.m4 \
96         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
97         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
98         $(top_srcdir)/m4/swig_python.m4 $(top_srcdir)/configure.ac
99 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100         $(ACLOCAL_M4)
101 mkinstalldirs = $(install_sh) -d
102 CONFIG_HEADER = $(top_builddir)/config.h
103 CONFIG_CLEAN_FILES =
104 CONFIG_CLEAN_VPATH_FILES =
105 PROGRAMS = $(noinst_PROGRAMS)
106 am__dirstamp = $(am__leading_dot)dirstamp
107 am_lfs_test_OBJECTS = lfs/test.$(OBJEXT)
108 lfs_test_OBJECTS = $(am_lfs_test_OBJECTS)
109 lfs_test_LDADD = $(LDADD)
110 AM_V_lt = $(am__v_lt_@AM_V@)
111 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
112 am__v_lt_0 = --silent
113 am__v_lt_1 = 
114 am_v1_to_v2_wrapped_passphrase_test_OBJECTS =  \
115         v1-to-v2-wrapped-passphrase/test.$(OBJEXT)
116 v1_to_v2_wrapped_passphrase_test_OBJECTS =  \
117         $(am_v1_to_v2_wrapped_passphrase_test_OBJECTS)
118 v1_to_v2_wrapped_passphrase_test_DEPENDENCIES =  \
119         $(top_builddir)/src/libecryptfs/libecryptfs.la
120 am_verify_passphrase_sig_test_OBJECTS =  \
121         verify-passphrase-sig/test.$(OBJEXT)
122 verify_passphrase_sig_test_OBJECTS =  \
123         $(am_verify_passphrase_sig_test_OBJECTS)
124 verify_passphrase_sig_test_DEPENDENCIES =  \
125         $(top_builddir)/src/libecryptfs/libecryptfs.la
126 am_wrap_unwrap_test_OBJECTS = wrap-unwrap/test.$(OBJEXT)
127 wrap_unwrap_test_OBJECTS = $(am_wrap_unwrap_test_OBJECTS)
128 wrap_unwrap_test_DEPENDENCIES =  \
129         $(top_builddir)/src/libecryptfs/libecryptfs.la
130 SCRIPTS = $(dist_noinst_SCRIPTS)
131 AM_V_P = $(am__v_P_@AM_V@)
132 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
133 am__v_P_0 = false
134 am__v_P_1 = :
135 AM_V_GEN = $(am__v_GEN_@AM_V@)
136 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
137 am__v_GEN_0 = @echo "  GEN     " $@;
138 am__v_GEN_1 = 
139 AM_V_at = $(am__v_at_@AM_V@)
140 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
141 am__v_at_0 = @
142 am__v_at_1 = 
143 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
144 depcomp = $(SHELL) $(top_srcdir)/depcomp
145 am__depfiles_maybe = depfiles
146 am__mv = mv -f
147 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
148         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
149 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
150         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
151         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
152         $(AM_CFLAGS) $(CFLAGS)
153 AM_V_CC = $(am__v_CC_@AM_V@)
154 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
155 am__v_CC_0 = @echo "  CC      " $@;
156 am__v_CC_1 = 
157 CCLD = $(CC)
158 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
159         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
160         $(AM_LDFLAGS) $(LDFLAGS) -o $@
161 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
162 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
163 am__v_CCLD_0 = @echo "  CCLD    " $@;
164 am__v_CCLD_1 = 
165 SOURCES = $(lfs_test_SOURCES) \
166         $(v1_to_v2_wrapped_passphrase_test_SOURCES) \
167         $(verify_passphrase_sig_test_SOURCES) \
168         $(wrap_unwrap_test_SOURCES)
169 DIST_SOURCES = $(lfs_test_SOURCES) \
170         $(v1_to_v2_wrapped_passphrase_test_SOURCES) \
171         $(verify_passphrase_sig_test_SOURCES) \
172         $(wrap_unwrap_test_SOURCES)
173 am__can_run_installinfo = \
174   case $$AM_UPDATE_INFO_DIR in \
175     n|no|NO) false;; \
176     *) (install-info --version) >/dev/null 2>&1;; \
177   esac
178 DATA = $(dist_noinst_DATA)
179 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
180 # Read a list of newline-separated strings from the standard input,
181 # and print each of them once, without duplicates.  Input order is
182 # *not* preserved.
183 am__uniquify_input = $(AWK) '\
184   BEGIN { nonempty = 0; } \
185   { items[$$0] = 1; nonempty = 1; } \
186   END { if (nonempty) { for (i in items) print i; }; } \
187 '
188 # Make sure the list of sources is unique.  This is necessary because,
189 # e.g., the same source file might be shared among _SOURCES variables
190 # for different programs/libraries.
191 am__define_uniq_tagged_files = \
192   list='$(am__tagged_files)'; \
193   unique=`for i in $$list; do \
194     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
195   done | $(am__uniquify_input)`
196 ETAGS = etags
197 CTAGS = ctags
198 am__tty_colors_dummy = \
199   mgn= red= grn= lgn= blu= brg= std=; \
200   am__color_tests=no
201 am__tty_colors = { \
202   $(am__tty_colors_dummy); \
203   if test "X$(AM_COLOR_TESTS)" = Xno; then \
204     am__color_tests=no; \
205   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
206     am__color_tests=yes; \
207   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
208     am__color_tests=yes; \
209   fi; \
210   if test $$am__color_tests = yes; then \
211     red='\e[0;31m'; \
212     grn='\e[0;32m'; \
213     lgn='\e[1;32m'; \
214     blu='\e[1;34m'; \
215     mgn='\e[0;35m'; \
216     brg='\e[1m'; \
217     std='\e[m'; \
218   fi; \
219 }
220 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
221 am__vpath_adj = case $$p in \
222     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
223     *) f=$$p;; \
224   esac;
225 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
226 am__install_max = 40
227 am__nobase_strip_setup = \
228   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
229 am__nobase_strip = \
230   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
231 am__nobase_list = $(am__nobase_strip_setup); \
232   for p in $$list; do echo "$$p $$p"; done | \
233   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
234   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
235     if (++n[$$2] == $(am__install_max)) \
236       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
237     END { for (dir in files) print dir, files[dir] }'
238 am__base_list = \
239   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
240   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
241 am__uninstall_files_from_dir = { \
242   test -z "$$files" \
243     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
244     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
245          $(am__cd) "$$dir" && rm -f $$files; }; \
246   }
247 am__recheck_rx = ^[     ]*:recheck:[    ]*
248 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
249 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
250 # A command that, given a newline-separated list of test names on the
251 # standard input, print the name of the tests that are to be re-run
252 # upon "make recheck".
253 am__list_recheck_tests = $(AWK) '{ \
254   recheck = 1; \
255   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
256     { \
257       if (rc < 0) \
258         { \
259           if ((getline line2 < ($$0 ".log")) < 0) \
260             recheck = 0; \
261           break; \
262         } \
263       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
264         { \
265           recheck = 0; \
266           break; \
267         } \
268       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
269         { \
270           break; \
271         } \
272     }; \
273   if (recheck) \
274     print $$0; \
275   close ($$0 ".trs"); \
276   close ($$0 ".log"); \
277 }'
278 # A command that, given a newline-separated list of test names on the
279 # standard input, create the global log from their .trs and .log files.
280 am__create_global_log = $(AWK) ' \
281 function fatal(msg) \
282 { \
283   print "fatal: making $@: " msg | "cat >&2"; \
284   exit 1; \
285 } \
286 function rst_section(header) \
287 { \
288   print header; \
289   len = length(header); \
290   for (i = 1; i <= len; i = i + 1) \
291     printf "="; \
292   printf "\n\n"; \
293 } \
294 { \
295   copy_in_global_log = 1; \
296   global_test_result = "RUN"; \
297   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298     { \
299       if (rc < 0) \
300          fatal("failed to read from " $$0 ".trs"); \
301       if (line ~ /$(am__global_test_result_rx)/) \
302         { \
303           sub("$(am__global_test_result_rx)", "", line); \
304           sub("[        ]*$$", "", line); \
305           global_test_result = line; \
306         } \
307       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
308         copy_in_global_log = 0; \
309     }; \
310   if (copy_in_global_log) \
311     { \
312       rst_section(global_test_result ": " $$0); \
313       while ((rc = (getline line < ($$0 ".log"))) != 0) \
314       { \
315         if (rc < 0) \
316           fatal("failed to read from " $$0 ".log"); \
317         print line; \
318       }; \
319       printf "\n"; \
320     }; \
321   close ($$0 ".trs"); \
322   close ($$0 ".log"); \
323 }'
324 # Restructured Text title.
325 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
326 # Solaris 10 'make', and several other traditional 'make' implementations,
327 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
328 # by disabling -e (using the XSI extension "set +e") if it's set.
329 am__sh_e_setup = case $$- in *e*) set +e;; esac
330 # Default flags passed to test drivers.
331 am__common_driver_flags = \
332   --color-tests "$$am__color_tests" \
333   --enable-hard-errors "$$am__enable_hard_errors" \
334   --expect-failure "$$am__expect_failure"
335 # To be inserted before the command running the test.  Creates the
336 # directory for the log if needed.  Stores in $dir the directory
337 # containing $f, in $tst the test, in $log the log.  Executes the
338 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
339 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
340 # will run the test scripts (or their associated LOG_COMPILER, if
341 # thy have one).
342 am__check_pre = \
343 $(am__sh_e_setup);                                      \
344 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
345 $(am__tty_colors);                                      \
346 srcdir=$(srcdir); export srcdir;                        \
347 case "$@" in                                            \
348   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
349     *) am__odir=.;;                                     \
350 esac;                                                   \
351 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
352   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
353 if test -f "./$$f"; then dir=./;                        \
354 elif test -f "$$f"; then dir=;                          \
355 else dir="$(srcdir)/"; fi;                              \
356 tst=$$dir$$f; log='$@';                                 \
357 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
358   am__enable_hard_errors=no;                            \
359 else                                                    \
360   am__enable_hard_errors=yes;                           \
361 fi;                                                     \
362 case " $(XFAIL_TESTS) " in                              \
363   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
364     am__expect_failure=yes;;                            \
365   *)                                                    \
366     am__expect_failure=no;;                             \
367 esac;                                                   \
368 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
369 # A shell command to get the names of the tests scripts with any registered
370 # extension removed (i.e., equivalently, the names of the test logs, with
371 # the '.log' extension removed).  The result is saved in the shell variable
372 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
373 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
374 # since that might cause problem with VPATH rewrites for suffix-less tests.
375 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
376 am__set_TESTS_bases = \
377   bases='$(TEST_LOGS)'; \
378   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
379   bases=`echo $$bases`
380 RECHECK_LOGS = $(TEST_LOGS)
381 AM_RECURSIVE_TARGETS = check recheck
382 TEST_SUITE_LOG = test-suite.log
383 TEST_EXTENSIONS = @EXEEXT@ .test
384 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
385 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
386 am__set_b = \
387   case '$@' in \
388     */*) \
389       case '$*' in \
390         */*) b='$*';; \
391           *) b=`echo '$@' | sed 's/\.log$$//'`; \
392        esac;; \
393     *) \
394       b='$*';; \
395   esac
396 am__test_logs1 = $(TESTS:=.log)
397 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
398 TEST_LOGS = $(am__test_logs2:.test.log=.log)
399 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
400 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
401         $(TEST_LOG_FLAGS)
402 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
403 ACLOCAL = @ACLOCAL@
404 ALL_LINGUAS = @ALL_LINGUAS@
405 AMTAR = @AMTAR@
406 AM_CPPFLAGS = @AM_CPPFLAGS@
407 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
408 AR = @AR@
409 AUTOCONF = @AUTOCONF@
410 AUTOHEADER = @AUTOHEADER@
411 AUTOMAKE = @AUTOMAKE@
412 AWK = @AWK@
413 CATALOGS = @CATALOGS@
414 CATOBJEXT = @CATOBJEXT@
415 CC = @CC@
416 CCDEPMODE = @CCDEPMODE@
417 CFLAGS = @CFLAGS@
418 CPP = @CPP@
419 CPPFLAGS = @CPPFLAGS@
420 CRYPTO_CFLAGS = @CRYPTO_CFLAGS@
421 CRYPTO_LIBS = @CRYPTO_LIBS@
422 CYGPATH_W = @CYGPATH_W@
423 DATADIRNAME = @DATADIRNAME@
424 DEFS = @DEFS@
425 DEPDIR = @DEPDIR@
426 DLLTOOL = @DLLTOOL@
427 DSYMUTIL = @DSYMUTIL@
428 DUMPBIN = @DUMPBIN@
429 DVIPS = @DVIPS@
430 ECHO_C = @ECHO_C@
431 ECHO_N = @ECHO_N@
432 ECHO_T = @ECHO_T@
433 EGREP = @EGREP@
434 EXEEXT = @EXEEXT@
435 FGREP = @FGREP@
436 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
437 GMOFILES = @GMOFILES@
438 GMSGFMT = @GMSGFMT@
439 GPGME_CFLAGS = @GPGME_CFLAGS@
440 GPGME_LIBS = @GPGME_LIBS@
441 GREP = @GREP@
442 GTK_CFLAGS = @GTK_CFLAGS@
443 GTK_LIBS = @GTK_LIBS@
444 INSTALL = @INSTALL@
445 INSTALL_DATA = @INSTALL_DATA@
446 INSTALL_PROGRAM = @INSTALL_PROGRAM@
447 INSTALL_SCRIPT = @INSTALL_SCRIPT@
448 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
449 INSTOBJEXT = @INSTOBJEXT@
450 INTLLIBS = @INTLLIBS@
451 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
452 INTLTOOL_MERGE = @INTLTOOL_MERGE@
453 INTLTOOL_PERL = @INTLTOOL_PERL@
454 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
455 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
456 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
457 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
458 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
459 KEYUTILS_CFLAGS = @KEYUTILS_CFLAGS@
460 KEYUTILS_LIBS = @KEYUTILS_LIBS@
461 LATEX = @LATEX@
462 LATEX2HTML = @LATEX2HTML@
463 LD = @LD@
464 LDFLAGS = @LDFLAGS@
465 LIBECRYPTFS_LT_AGE = @LIBECRYPTFS_LT_AGE@
466 LIBECRYPTFS_LT_CURRENT = @LIBECRYPTFS_LT_CURRENT@
467 LIBECRYPTFS_LT_REVISION = @LIBECRYPTFS_LT_REVISION@
468 LIBOBJS = @LIBOBJS@
469 LIBS = @LIBS@
470 LIBTOOL = @LIBTOOL@
471 LIPO = @LIPO@
472 LN_S = @LN_S@
473 LOCALEDIR = @LOCALEDIR@
474 LTLIBOBJS = @LTLIBOBJS@
475 MAKEINFO = @MAKEINFO@
476 MANIFEST_TOOL = @MANIFEST_TOOL@
477 MKDIR_P = @MKDIR_P@
478 MKINSTALLDIRS = @MKINSTALLDIRS@
479 MSGFMT = @MSGFMT@
480 MSGFMT_OPTS = @MSGFMT_OPTS@
481 MSGMERGE = @MSGMERGE@
482 NM = @NM@
483 NMEDIT = @NMEDIT@
484 NSS_CFLAGS = @NSS_CFLAGS@
485 NSS_LIBS = @NSS_LIBS@
486 OBJDUMP = @OBJDUMP@
487 OBJEXT = @OBJEXT@
488 OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
489 OPENSSL_LIBS = @OPENSSL_LIBS@
490 OTOOL = @OTOOL@
491 OTOOL64 = @OTOOL64@
492 PACKAGE = @PACKAGE@
493 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
494 PACKAGE_NAME = @PACKAGE_NAME@
495 PACKAGE_STRING = @PACKAGE_STRING@
496 PACKAGE_TARNAME = @PACKAGE_TARNAME@
497 PACKAGE_URL = @PACKAGE_URL@
498 PACKAGE_VERSION = @PACKAGE_VERSION@
499 PAM_CFLAGS = @PAM_CFLAGS@
500 PAM_LIBS = @PAM_LIBS@
501 PATH_SEPARATOR = @PATH_SEPARATOR@
502 PKCS11_HELPER_CFLAGS = @PKCS11_HELPER_CFLAGS@
503 PKCS11_HELPER_LIBS = @PKCS11_HELPER_LIBS@
504 PKG_CONFIG = @PKG_CONFIG@
505 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
506 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
507 POD2MAN = @POD2MAN@
508 POFILES = @POFILES@
509 POSUB = @POSUB@
510 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
511 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
512 PS2PDF = @PS2PDF@
513 PYTHON = @PYTHON@
514 PYTHON_CPPFLAGS = @PYTHON_CPPFLAGS@
515 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
516 PYTHON_EXTRA_LDFLAGS = @PYTHON_EXTRA_LDFLAGS@
517 PYTHON_EXTRA_LIBS = @PYTHON_EXTRA_LIBS@
518 PYTHON_LDFLAGS = @PYTHON_LDFLAGS@
519 PYTHON_PLATFORM = @PYTHON_PLATFORM@
520 PYTHON_PREFIX = @PYTHON_PREFIX@
521 PYTHON_SITE_PKG = @PYTHON_SITE_PKG@
522 PYTHON_VERSION = @PYTHON_VERSION@
523 RANLIB = @RANLIB@
524 SED = @SED@
525 SET_MAKE = @SET_MAKE@
526 SHELL = @SHELL@
527 STRIP = @STRIP@
528 SWIG = @SWIG@
529 SWIG_LIB = @SWIG_LIB@
530 SWIG_PYTHON_CPPFLAGS = @SWIG_PYTHON_CPPFLAGS@
531 SWIG_PYTHON_OPT = @SWIG_PYTHON_OPT@
532 TAR = @TAR@
533 TSPI_CFLAGS = @TSPI_CFLAGS@
534 TSPI_LIBS = @TSPI_LIBS@
535 USE_NLS = @USE_NLS@
536 VERSION = @VERSION@
537 XGETTEXT = @XGETTEXT@
538 abs_builddir = @abs_builddir@
539 abs_srcdir = @abs_srcdir@
540 abs_top_builddir = @abs_top_builddir@
541 abs_top_srcdir = @abs_top_srcdir@
542 ac_ct_AR = @ac_ct_AR@
543 ac_ct_CC = @ac_ct_CC@
544 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
545 am__include = @am__include@
546 am__leading_dot = @am__leading_dot@
547 am__quote = @am__quote@
548 am__tar = @am__tar@
549 am__untar = @am__untar@
550 bindir = @bindir@
551 build = @build@
552 build_alias = @build_alias@
553 build_cpu = @build_cpu@
554 build_os = @build_os@
555 build_vendor = @build_vendor@
556 builddir = @builddir@
557 datadir = @datadir@
558 datarootdir = @datarootdir@
559 docdir = @docdir@
560 dvidir = @dvidir@
561 ecryptfskeymoddir = @ecryptfskeymoddir@
562 exec_prefix = @exec_prefix@
563 host = @host@
564 host_alias = @host_alias@
565 host_cpu = @host_cpu@
566 host_os = @host_os@
567 host_vendor = @host_vendor@
568 htmldir = @htmldir@
569 includedir = @includedir@
570 infodir = @infodir@
571 install_sh = @install_sh@
572 intltool__v_merge_options_ = @intltool__v_merge_options_@
573 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
574 libdir = @libdir@
575 libexecdir = @libexecdir@
576 localedir = @localedir@
577 localstatedir = @localstatedir@
578 mandir = @mandir@
579 mkdir_p = @mkdir_p@
580 oldincludedir = @oldincludedir@
581 pamdir = @pamdir@
582 pamlibdir = @pamlibdir@
583 pdfdir = @pdfdir@
584 pkgconfigdir = @pkgconfigdir@
585 pkgpyexecdir = @pkgpyexecdir@
586 pkgpythondir = @pkgpythondir@
587 prefix = @prefix@
588 program_transform_name = @program_transform_name@
589 psdir = @psdir@
590 pyexecdir = @pyexecdir@
591 pythondir = @pythondir@
592 rootsbindir = @rootsbindir@
593 sbindir = @sbindir@
594 sharedstatedir = @sharedstatedir@
595 srcdir = @srcdir@
596 sysconfdir = @sysconfdir@
597 target = @target@
598 target_alias = @target_alias@
599 target_cpu = @target_cpu@
600 target_os = @target_os@
601 target_vendor = @target_vendor@
602 top_build_prefix = @top_build_prefix@
603 top_builddir = @top_builddir@
604 top_srcdir = @top_srcdir@
605 AUTOMAKE_OPTIONS = subdir-objects
606
607 # Only place tests worth of 'make check' here. All other tests are noinst.
608 dist_check_SCRIPTS = lfs.sh verify-passphrase-sig.sh wrap-unwrap.sh v1-to-v2-wrapped-passphrase.sh
609 dist_noinst_DATA = tests.rc \
610                    v1-to-v2-wrapped-passphrase/wp01 \
611                    v1-to-v2-wrapped-passphrase/wp02 \
612                    v1-to-v2-wrapped-passphrase/wp03 \
613                    v1-to-v2-wrapped-passphrase/wp04 \
614                    v1-to-v2-wrapped-passphrase/wp05
615
616 dist_noinst_SCRIPTS = $(dist_check_SCRIPTS)
617 @ENABLE_TESTS_TRUE@noinst_PROGRAMS = $(check_PROGRAMS)
618 lfs_test_SOURCES = lfs/test.c
619 verify_passphrase_sig_test_SOURCES = verify-passphrase-sig/test.c
620 verify_passphrase_sig_test_LDADD = $(top_builddir)/src/libecryptfs/libecryptfs.la
621 wrap_unwrap_test_SOURCES = wrap-unwrap/test.c
622 wrap_unwrap_test_LDADD = $(top_builddir)/src/libecryptfs/libecryptfs.la
623 v1_to_v2_wrapped_passphrase_test_SOURCES = v1-to-v2-wrapped-passphrase/test.c
624 v1_to_v2_wrapped_passphrase_test_LDADD = $(top_builddir)/src/libecryptfs/libecryptfs.la
625 TESTS = lfs.sh verify-passphrase-sig.sh wrap-unwrap.sh v1-to-v2-wrapped-passphrase.sh
626 all: all-am
627
628 .SUFFIXES:
629 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
630 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
631         @for dep in $?; do \
632           case '$(am__configure_deps)' in \
633             *$$dep*) \
634               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
635                 && { if test -f $@; then exit 0; else break; fi; }; \
636               exit 1;; \
637           esac; \
638         done; \
639         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/userspace/Makefile'; \
640         $(am__cd) $(top_srcdir) && \
641           $(AUTOMAKE) --foreign tests/userspace/Makefile
642 .PRECIOUS: Makefile
643 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
644         @case '$?' in \
645           *config.status*) \
646             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
647           *) \
648             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
649             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
650         esac;
651
652 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
653         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
654
655 $(top_srcdir)/configure:  $(am__configure_deps)
656         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
657 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
658         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
659 $(am__aclocal_m4_deps):
660
661 clean-checkPROGRAMS:
662         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
663         echo " rm -f" $$list; \
664         rm -f $$list || exit $$?; \
665         test -n "$(EXEEXT)" || exit 0; \
666         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
667         echo " rm -f" $$list; \
668         rm -f $$list
669
670 clean-noinstPROGRAMS:
671         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
672         echo " rm -f" $$list; \
673         rm -f $$list || exit $$?; \
674         test -n "$(EXEEXT)" || exit 0; \
675         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
676         echo " rm -f" $$list; \
677         rm -f $$list
678 lfs/$(am__dirstamp):
679         @$(MKDIR_P) lfs
680         @: > lfs/$(am__dirstamp)
681 lfs/$(DEPDIR)/$(am__dirstamp):
682         @$(MKDIR_P) lfs/$(DEPDIR)
683         @: > lfs/$(DEPDIR)/$(am__dirstamp)
684 lfs/test.$(OBJEXT): lfs/$(am__dirstamp) lfs/$(DEPDIR)/$(am__dirstamp)
685
686 lfs/test$(EXEEXT): $(lfs_test_OBJECTS) $(lfs_test_DEPENDENCIES) $(EXTRA_lfs_test_DEPENDENCIES) lfs/$(am__dirstamp)
687         @rm -f lfs/test$(EXEEXT)
688         $(AM_V_CCLD)$(LINK) $(lfs_test_OBJECTS) $(lfs_test_LDADD) $(LIBS)
689 v1-to-v2-wrapped-passphrase/$(am__dirstamp):
690         @$(MKDIR_P) v1-to-v2-wrapped-passphrase
691         @: > v1-to-v2-wrapped-passphrase/$(am__dirstamp)
692 v1-to-v2-wrapped-passphrase/$(DEPDIR)/$(am__dirstamp):
693         @$(MKDIR_P) v1-to-v2-wrapped-passphrase/$(DEPDIR)
694         @: > v1-to-v2-wrapped-passphrase/$(DEPDIR)/$(am__dirstamp)
695 v1-to-v2-wrapped-passphrase/test.$(OBJEXT):  \
696         v1-to-v2-wrapped-passphrase/$(am__dirstamp) \
697         v1-to-v2-wrapped-passphrase/$(DEPDIR)/$(am__dirstamp)
698
699 v1-to-v2-wrapped-passphrase/test$(EXEEXT): $(v1_to_v2_wrapped_passphrase_test_OBJECTS) $(v1_to_v2_wrapped_passphrase_test_DEPENDENCIES) $(EXTRA_v1_to_v2_wrapped_passphrase_test_DEPENDENCIES) v1-to-v2-wrapped-passphrase/$(am__dirstamp)
700         @rm -f v1-to-v2-wrapped-passphrase/test$(EXEEXT)
701         $(AM_V_CCLD)$(LINK) $(v1_to_v2_wrapped_passphrase_test_OBJECTS) $(v1_to_v2_wrapped_passphrase_test_LDADD) $(LIBS)
702 verify-passphrase-sig/$(am__dirstamp):
703         @$(MKDIR_P) verify-passphrase-sig
704         @: > verify-passphrase-sig/$(am__dirstamp)
705 verify-passphrase-sig/$(DEPDIR)/$(am__dirstamp):
706         @$(MKDIR_P) verify-passphrase-sig/$(DEPDIR)
707         @: > verify-passphrase-sig/$(DEPDIR)/$(am__dirstamp)
708 verify-passphrase-sig/test.$(OBJEXT):  \
709         verify-passphrase-sig/$(am__dirstamp) \
710         verify-passphrase-sig/$(DEPDIR)/$(am__dirstamp)
711
712 verify-passphrase-sig/test$(EXEEXT): $(verify_passphrase_sig_test_OBJECTS) $(verify_passphrase_sig_test_DEPENDENCIES) $(EXTRA_verify_passphrase_sig_test_DEPENDENCIES) verify-passphrase-sig/$(am__dirstamp)
713         @rm -f verify-passphrase-sig/test$(EXEEXT)
714         $(AM_V_CCLD)$(LINK) $(verify_passphrase_sig_test_OBJECTS) $(verify_passphrase_sig_test_LDADD) $(LIBS)
715 wrap-unwrap/$(am__dirstamp):
716         @$(MKDIR_P) wrap-unwrap
717         @: > wrap-unwrap/$(am__dirstamp)
718 wrap-unwrap/$(DEPDIR)/$(am__dirstamp):
719         @$(MKDIR_P) wrap-unwrap/$(DEPDIR)
720         @: > wrap-unwrap/$(DEPDIR)/$(am__dirstamp)
721 wrap-unwrap/test.$(OBJEXT): wrap-unwrap/$(am__dirstamp) \
722         wrap-unwrap/$(DEPDIR)/$(am__dirstamp)
723
724 wrap-unwrap/test$(EXEEXT): $(wrap_unwrap_test_OBJECTS) $(wrap_unwrap_test_DEPENDENCIES) $(EXTRA_wrap_unwrap_test_DEPENDENCIES) wrap-unwrap/$(am__dirstamp)
725         @rm -f wrap-unwrap/test$(EXEEXT)
726         $(AM_V_CCLD)$(LINK) $(wrap_unwrap_test_OBJECTS) $(wrap_unwrap_test_LDADD) $(LIBS)
727
728 mostlyclean-compile:
729         -rm -f *.$(OBJEXT)
730         -rm -f lfs/*.$(OBJEXT)
731         -rm -f v1-to-v2-wrapped-passphrase/*.$(OBJEXT)
732         -rm -f verify-passphrase-sig/*.$(OBJEXT)
733         -rm -f wrap-unwrap/*.$(OBJEXT)
734
735 distclean-compile:
736         -rm -f *.tab.c
737
738 @AMDEP_TRUE@@am__include@ @am__quote@lfs/$(DEPDIR)/test.Po@am__quote@
739 @AMDEP_TRUE@@am__include@ @am__quote@v1-to-v2-wrapped-passphrase/$(DEPDIR)/test.Po@am__quote@
740 @AMDEP_TRUE@@am__include@ @am__quote@verify-passphrase-sig/$(DEPDIR)/test.Po@am__quote@
741 @AMDEP_TRUE@@am__include@ @am__quote@wrap-unwrap/$(DEPDIR)/test.Po@am__quote@
742
743 .c.o:
744 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
745 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
746 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
750
751 .c.obj:
752 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
753 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
754 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
758
759 .c.lo:
760 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
761 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
762 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
766
767 mostlyclean-libtool:
768         -rm -f *.lo
769
770 clean-libtool:
771         -rm -rf .libs _libs
772         -rm -rf lfs/.libs lfs/_libs
773         -rm -rf v1-to-v2-wrapped-passphrase/.libs v1-to-v2-wrapped-passphrase/_libs
774         -rm -rf verify-passphrase-sig/.libs verify-passphrase-sig/_libs
775         -rm -rf wrap-unwrap/.libs wrap-unwrap/_libs
776
777 ID: $(am__tagged_files)
778         $(am__define_uniq_tagged_files); mkid -fID $$unique
779 tags: tags-am
780 TAGS: tags
781
782 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
783         set x; \
784         here=`pwd`; \
785         $(am__define_uniq_tagged_files); \
786         shift; \
787         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
788           test -n "$$unique" || unique=$$empty_fix; \
789           if test $$# -gt 0; then \
790             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
791               "$$@" $$unique; \
792           else \
793             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
794               $$unique; \
795           fi; \
796         fi
797 ctags: ctags-am
798
799 CTAGS: ctags
800 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
801         $(am__define_uniq_tagged_files); \
802         test -z "$(CTAGS_ARGS)$$unique" \
803           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
804              $$unique
805
806 GTAGS:
807         here=`$(am__cd) $(top_builddir) && pwd` \
808           && $(am__cd) $(top_srcdir) \
809           && gtags -i $(GTAGS_ARGS) "$$here"
810 cscopelist: cscopelist-am
811
812 cscopelist-am: $(am__tagged_files)
813         list='$(am__tagged_files)'; \
814         case "$(srcdir)" in \
815           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
816           *) sdir=$(subdir)/$(srcdir) ;; \
817         esac; \
818         for i in $$list; do \
819           if test -f "$$i"; then \
820             echo "$(subdir)/$$i"; \
821           else \
822             echo "$$sdir/$$i"; \
823           fi; \
824         done >> $(top_builddir)/cscope.files
825
826 distclean-tags:
827         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
828
829 # Recover from deleted '.trs' file; this should ensure that
830 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
831 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
832 # to avoid problems with "make -n".
833 .log.trs:
834         rm -f $< $@
835         $(MAKE) $(AM_MAKEFLAGS) $<
836
837 # Leading 'am--fnord' is there to ensure the list of targets does not
838 # expand to empty, as could happen e.g. with make check TESTS=''.
839 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
840 am--force-recheck:
841         @:
842
843 $(TEST_SUITE_LOG): $(TEST_LOGS)
844         @$(am__set_TESTS_bases); \
845         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
846         redo_bases=`for i in $$bases; do \
847                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
848                     done`; \
849         if test -n "$$redo_bases"; then \
850           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
851           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
852           if $(am__make_dryrun); then :; else \
853             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
854           fi; \
855         fi; \
856         if test -n "$$am__remaking_logs"; then \
857           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
858                "recursion detected" >&2; \
859         else \
860           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
861         fi; \
862         if $(am__make_dryrun); then :; else \
863           st=0;  \
864           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
865           for i in $$redo_bases; do \
866             test -f $$i.trs && test -r $$i.trs \
867               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
868             test -f $$i.log && test -r $$i.log \
869               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
870           done; \
871           test $$st -eq 0 || exit 1; \
872         fi
873         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
874         ws='[   ]'; \
875         results=`for b in $$bases; do echo $$b.trs; done`; \
876         test -n "$$results" || results=/dev/null; \
877         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
878         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
879         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
880         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
881         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
882         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
883         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
884         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
885           success=true; \
886         else \
887           success=false; \
888         fi; \
889         br='==================='; br=$$br$$br$$br$$br; \
890         result_count () \
891         { \
892             if test x"$$1" = x"--maybe-color"; then \
893               maybe_colorize=yes; \
894             elif test x"$$1" = x"--no-color"; then \
895               maybe_colorize=no; \
896             else \
897               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
898             fi; \
899             shift; \
900             desc=$$1 count=$$2; \
901             if test $$maybe_colorize = yes && test $$count -gt 0; then \
902               color_start=$$3 color_end=$$std; \
903             else \
904               color_start= color_end=; \
905             fi; \
906             echo "$${color_start}# $$desc $$count$${color_end}"; \
907         }; \
908         create_testsuite_report () \
909         { \
910           result_count $$1 "TOTAL:" $$all   "$$brg"; \
911           result_count $$1 "PASS: " $$pass  "$$grn"; \
912           result_count $$1 "SKIP: " $$skip  "$$blu"; \
913           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
914           result_count $$1 "FAIL: " $$fail  "$$red"; \
915           result_count $$1 "XPASS:" $$xpass "$$red"; \
916           result_count $$1 "ERROR:" $$error "$$mgn"; \
917         }; \
918         {                                                               \
919           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
920             $(am__rst_title);                                           \
921           create_testsuite_report --no-color;                           \
922           echo;                                                         \
923           echo ".. contents:: :depth: 2";                               \
924           echo;                                                         \
925           for b in $$bases; do echo $$b; done                           \
926             | $(am__create_global_log);                                 \
927         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
928         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
929         if $$success; then                                              \
930           col="$$grn";                                                  \
931          else                                                           \
932           col="$$red";                                                  \
933           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
934         fi;                                                             \
935         echo "$${col}$$br$${std}";                                      \
936         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
937         echo "$${col}$$br$${std}";                                      \
938         create_testsuite_report --maybe-color;                          \
939         echo "$$col$$br$$std";                                          \
940         if $$success; then :; else                                      \
941           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
942           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
943             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
944           fi;                                                           \
945           echo "$$col$$br$$std";                                        \
946         fi;                                                             \
947         $$success || exit 1
948
949 check-TESTS:
950         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
951         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
952         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
953         @set +e; $(am__set_TESTS_bases); \
954         log_list=`for i in $$bases; do echo $$i.log; done`; \
955         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
956         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
957         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
958         exit $$?;
959 recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
960         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
961         @set +e; $(am__set_TESTS_bases); \
962         bases=`for i in $$bases; do echo $$i; done \
963                  | $(am__list_recheck_tests)` || exit 1; \
964         log_list=`for i in $$bases; do echo $$i.log; done`; \
965         log_list=`echo $$log_list`; \
966         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
967                 am__force_recheck=am--force-recheck \
968                 TEST_LOGS="$$log_list"; \
969         exit $$?
970 lfs.sh.log: lfs.sh
971         @p='lfs.sh'; \
972         b='lfs.sh'; \
973         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
974         --log-file $$b.log --trs-file $$b.trs \
975         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
976         "$$tst" $(AM_TESTS_FD_REDIRECT)
977 verify-passphrase-sig.sh.log: verify-passphrase-sig.sh
978         @p='verify-passphrase-sig.sh'; \
979         b='verify-passphrase-sig.sh'; \
980         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
981         --log-file $$b.log --trs-file $$b.trs \
982         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
983         "$$tst" $(AM_TESTS_FD_REDIRECT)
984 wrap-unwrap.sh.log: wrap-unwrap.sh
985         @p='wrap-unwrap.sh'; \
986         b='wrap-unwrap.sh'; \
987         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
988         --log-file $$b.log --trs-file $$b.trs \
989         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
990         "$$tst" $(AM_TESTS_FD_REDIRECT)
991 v1-to-v2-wrapped-passphrase.sh.log: v1-to-v2-wrapped-passphrase.sh
992         @p='v1-to-v2-wrapped-passphrase.sh'; \
993         b='v1-to-v2-wrapped-passphrase.sh'; \
994         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
995         --log-file $$b.log --trs-file $$b.trs \
996         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
997         "$$tst" $(AM_TESTS_FD_REDIRECT)
998 .test.log:
999         @p='$<'; \
1000         $(am__set_b); \
1001         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1002         --log-file $$b.log --trs-file $$b.trs \
1003         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1004         "$$tst" $(AM_TESTS_FD_REDIRECT)
1005 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1006 @am__EXEEXT_TRUE@       @p='$<'; \
1007 @am__EXEEXT_TRUE@       $(am__set_b); \
1008 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1009 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1010 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1011 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1012
1013 distdir: $(DISTFILES)
1014         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1015         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1016         list='$(DISTFILES)'; \
1017           dist_files=`for file in $$list; do echo $$file; done | \
1018           sed -e "s|^$$srcdirstrip/||;t" \
1019               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1020         case $$dist_files in \
1021           */*) $(MKDIR_P) `echo "$$dist_files" | \
1022                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1023                            sort -u` ;; \
1024         esac; \
1025         for file in $$dist_files; do \
1026           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1027           if test -d $$d/$$file; then \
1028             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1029             if test -d "$(distdir)/$$file"; then \
1030               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1031             fi; \
1032             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1033               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1034               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1035             fi; \
1036             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1037           else \
1038             test -f "$(distdir)/$$file" \
1039             || cp -p $$d/$$file "$(distdir)/$$file" \
1040             || exit 1; \
1041           fi; \
1042         done
1043 check-am: all-am
1044         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
1045           $(dist_check_SCRIPTS)
1046         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1047 check: check-am
1048 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA)
1049 installdirs:
1050 install: install-am
1051 install-exec: install-exec-am
1052 install-data: install-data-am
1053 uninstall: uninstall-am
1054
1055 install-am: all-am
1056         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1057
1058 installcheck: installcheck-am
1059 install-strip:
1060         if test -z '$(STRIP)'; then \
1061           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1062             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1063               install; \
1064         else \
1065           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1066             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1067             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1068         fi
1069 mostlyclean-generic:
1070         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1071         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1072         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1073
1074 clean-generic:
1075
1076 distclean-generic:
1077         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1078         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1079         -rm -f lfs/$(DEPDIR)/$(am__dirstamp)
1080         -rm -f lfs/$(am__dirstamp)
1081         -rm -f v1-to-v2-wrapped-passphrase/$(DEPDIR)/$(am__dirstamp)
1082         -rm -f v1-to-v2-wrapped-passphrase/$(am__dirstamp)
1083         -rm -f verify-passphrase-sig/$(DEPDIR)/$(am__dirstamp)
1084         -rm -f verify-passphrase-sig/$(am__dirstamp)
1085         -rm -f wrap-unwrap/$(DEPDIR)/$(am__dirstamp)
1086         -rm -f wrap-unwrap/$(am__dirstamp)
1087
1088 maintainer-clean-generic:
1089         @echo "This command is intended for maintainers to use"
1090         @echo "it deletes files that may require special tools to rebuild."
1091 clean: clean-am
1092
1093 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1094         clean-noinstPROGRAMS mostlyclean-am
1095
1096 distclean: distclean-am
1097         -rm -rf lfs/$(DEPDIR) v1-to-v2-wrapped-passphrase/$(DEPDIR) verify-passphrase-sig/$(DEPDIR) wrap-unwrap/$(DEPDIR)
1098         -rm -f Makefile
1099 distclean-am: clean-am distclean-compile distclean-generic \
1100         distclean-tags
1101
1102 dvi: dvi-am
1103
1104 dvi-am:
1105
1106 html: html-am
1107
1108 html-am:
1109
1110 info: info-am
1111
1112 info-am:
1113
1114 install-data-am:
1115
1116 install-dvi: install-dvi-am
1117
1118 install-dvi-am:
1119
1120 install-exec-am:
1121
1122 install-html: install-html-am
1123
1124 install-html-am:
1125
1126 install-info: install-info-am
1127
1128 install-info-am:
1129
1130 install-man:
1131
1132 install-pdf: install-pdf-am
1133
1134 install-pdf-am:
1135
1136 install-ps: install-ps-am
1137
1138 install-ps-am:
1139
1140 installcheck-am:
1141
1142 maintainer-clean: maintainer-clean-am
1143         -rm -rf lfs/$(DEPDIR) v1-to-v2-wrapped-passphrase/$(DEPDIR) verify-passphrase-sig/$(DEPDIR) wrap-unwrap/$(DEPDIR)
1144         -rm -f Makefile
1145 maintainer-clean-am: distclean-am maintainer-clean-generic
1146
1147 mostlyclean: mostlyclean-am
1148
1149 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1150         mostlyclean-libtool
1151
1152 pdf: pdf-am
1153
1154 pdf-am:
1155
1156 ps: ps-am
1157
1158 ps-am:
1159
1160 uninstall-am:
1161
1162 .MAKE: check-am install-am install-strip
1163
1164 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1165         clean-checkPROGRAMS clean-generic clean-libtool \
1166         clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1167         distclean-compile distclean-generic distclean-libtool \
1168         distclean-tags distdir dvi dvi-am html html-am info info-am \
1169         install install-am install-data install-data-am install-dvi \
1170         install-dvi-am install-exec install-exec-am install-html \
1171         install-html-am install-info install-info-am install-man \
1172         install-pdf install-pdf-am install-ps install-ps-am \
1173         install-strip installcheck installcheck-am installdirs \
1174         maintainer-clean maintainer-clean-generic mostlyclean \
1175         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1176         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1177         uninstall-am
1178
1179
1180 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1181 # Otherwise a system limit (for SysV at least) may be exceeded.
1182 .NOEXPORT: